Subject: bug#42523: closed (Re: bug#42523: ‘Latest’ISO download link broken)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Jul 2020 13:55:02 +0000

Your bug report

#42523: ‘Latest’ ISO download link broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42523: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42523
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42523: ‘Latest’ ISO download link broken
From: Tobias Geerinckx-Rice <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked], Tobias Geerinckx-Rice via Bug reports for GNU Guix <[email-masked]>
Date: Sat, 25 Jul 2020 15:54:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mathieu,

Mathieu Othacehe 写道：
> I fixed the issue in Cuirass with
> 17395e85d2793ec4cb47e53bcbdb5b06187147bd. I'll reconfigure 
> berlin
> later-on. In the meantime I ran:
>
> --8<---------------cut 
> here---------------start------------->8---
> insert into BuildProducts values (3016488, "ISO-9660", 
> 651755520, "", 
> "/gnu/store/l20v5vxadpl1bnsa91ird49rinpdwv0v-iso9660-image");
> --8<---------------cut 
> here---------------end--------------->8---
>
> to hide the problem. So I think we can close this one.

Perfect!  Thank you very much.  I'll close this indeed.

Kind regards,

T G-R

Subject: ‘Latest’ ISO download link broken
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Date: Sat, 25 Jul 2020 01:43:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Guix,

‘Download latest images’[0] points to [1], which returns a JSON:

> {"error":"Could not find the request build product."}

There are plenty[2] to choose from.

Kind regards,

T G-R

[0]: http://guix.gnu.org/download/latest/
[1]: 
https://ci.guix.gnu.org/search/latest/ISO-9660?query=spec:guix-master+status:success+system:x86_64-linux+iso9660-image
[2]: https://ci.guix.gnu.org/search?query=iso9660